<div id="equipment-structure">
	<div class="panel-group" id="accordionPlcEquipment">
		<div class="panel panel-default">
			<div class="panel-heading"
				 ng-style="plcInfo.status == 'healthy' ? decoration.style.healthy : plcInfo.status == 'empty' ? decoration.style.empty : decoration.style.pending"
				 title="{{plcInfo.status == 'healthy' ? decoration.tooltip.healthy : plcInfo.status == 'empty' ? decoration.tooltip.empty : decoration.tooltip.pending}}">

				<div class="panel-title" data-toggle="collapse" data-parent="#accordionPlcEquipment" data-target="#equipmentStructureContainer" ng-click="toggleCollapsibleStructure()">
					<h2>Equipment Structure
						<span class="panel-heading-icon glyphicon" ng-class="decoration.collapsed.equipmentStructure ? 'glyphicon-chevron-right' : 'glyphicon-chevron-up' "></span>
					</h2>
					<loading-data ng-hide="plcInfo.completed"></loading-data>
				</div>
			</div>
			<div id="equipmentStructureContainer" class="panel-collapse collapse" ng-class="collapseInfor">
				<div class="panel-body">
					<div class="col-lg-12 table-responsive"
						 ng-hide="requestStatus.loading.equipmentStructure">

						<a ng-href="{{plcInfo.plcDataEquipment.link}}" target="_blank" rel="noopener">
							<button class="btn btn-block">Show in InforEAM <small class="glyphicon glyphicon-new-window"></small></button>
						</a>

						<br/>

						<table class="table table-hover">
							<thead>
								<tr>
									<td>
										<strong>{{plcInfo.plcDataEquipment.name}}</strong>
									</td>
									<td>
										<strong>{{plcInfo.plcDataEquipment.description}}</strong>
									</td>
								</tr>
							</thead>
							<tbody ng-repeat="plcDatum in plcInfo.plcData">
								<tr>
									<td>{{plcDatum.name}}</td>
									<td>{{plcDatum.description}}</td>
								</tr>
							</tbody>
						</table>

					</div>

				</div>
			</div>
		</div>
	</div>
</div>